Subject: [draft-freed-sieve-in-xml-02] Nonimating Code Components

From: Robert Burrell Donkin <[email-masked]>
Date: Tue, 3 Feb 2009 13:35:56 +0000

Apologies for the lateness of this submission. Note that this is a
general issue and
no criticism of the current draft is intended.

Background
----------
1. The IETF has issued a number of documents clarifying it's positions on
   rights issues required from contributors including RFC5377, BCP78 and BCP79.
   A license policy [1] has been issued by the IETF Trust together with a
   list of standard code components [2]. Code components are made available
   under a permissive open source license categorised in the
   "Simplified BSD License" family [3]. Some rights issues still remain
   unresolved or are delegated to the appropriate working group.

2. The Apache Software Foundation requires that the rights for all
source committed
   are audited. In particular, specific checks are required for all documents
   which are not originally created by the contributor. These include
both legal
   and ethical checks. I understand that this auditing is common amongst open
   source organisations.

3. draft-freed-sieve-in-xml contains section of source including the XML Schema
   (Appendix B) and RelaxNG (Appendix C) schemata, an extended example
   (Appendix A) and a stylesheet (Appendix D).
     3A. These are likely to be generally useful to implementors of
the specification,
         educators and expert users.
     3B. Rights to create and publish derivative works are required
before the most
         effective use of these material can be made.

4. As I understand it (using the terms from [1] and [2]) this material
may be categorised
   as follows:
     4A. The extended example (Appendix A) is at best only arguably
         a standard code component
     4B. The XML Schema (Appendix B) is a standard code component
     4C. The RelaxNG schema (Appendix C) is a standard code component
     4D. The stylesheet (Appendix D) is at best only arguably a
         standard code component

[1]  "Legal Provisions Relating to IETF Documents"
     http://trustee.ietf.org/docs/IETF-Trust-License-Policy.pdf
[2]  "Code Components List"
     http://trustee.ietf.org/docs/Code-Components-List-11-10-08.txt
[3]  "Open Source Initiative OSI - The BSD License:Licensing"
     http://opensource.org/licenses/bsd-license.php

Issue
-----
It is not clear that sufficient rights are granted to create and
publish suitable
derivative works of the draft so that all of the useful source contained within
can be disseminated and used as widely as possible. Rights to use the useful
material more widely should be clarified.

Proposal
--------
The working group nominates these materials (in particular Appendix A
and Appendix D
which do not appear to be covered in the standard list) as "code components"
(as defined by [1]), and so enables them to be made widely available
under the permissive
open source license defined in [1].

Rationale
---------
1. One casual inspection, it might be assumed that the IETF grants enough rights
   to use the useful source contained in the draft. All other things
being equal,
   rights should work as might be reasonably expected.

2. It is inconvenient for open source implementors to create clean
room source for
   these useful documents.

3. Creating clean room implementations risks mistakes being introduced. This may
   reduce compatibility between implementations.